basement-0.0.16: Foundation scrap box of array & string

License | BSD-style
Maintainer | Nicolas Di Prima <nicolas@primetype.co.uk>
Stability | statble
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Basement.Compat.Typeable

Description

conveniently provide support for legacy and modern base

Synopsis

- class Typeable (a :: k)

# Documentation

class Typeable (a :: k) #

The class `Typeable` allows a concrete representation of a type to be calculated.

Minimal complete definition

typeRep#